Page MenuHomePhabricator

Make edit filter management sortable
Closed, ResolvedPublic

Description

I'd like to request that the table at https://en.wikipedia.org/wiki/Special:AbuseFilter (eg, this applies to other wikis to) be sortable. Currently it can only be viewed by Filter Id, either increasing or decreasing. Ideally, one should be able to sort based on "Last modified", "Hit count", (which should be the easiest to implement) and eventually status, actions, and public description.

Event Timeline

DannyS712 created this task.Mar 3 2019, 5:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2019, 5:54 PM
Daimona added a subscriber: Daimona.

@DannyS712 Please note that most of the things you requested are already available: the table on Special:AbuseFilter is currently sortable by ID, enabled status, last edit, hidden status, filter group and hit count. According to your list, we're only missing actions and public description. However, sorting is performed internally by TablePager, so while it's very simple to make a field sortable (it just has to be added to a list), sometimes it's not feasible due to technical limitations which would require more work than expected. If that's the reason why those fields aren't currently sortable (I'd have to check to confirm), don't expect them to be made sortable too soon...

Change 494048 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Make Special:AbuseFilter sortable by filter name

https://gerrit.wikimedia.org/r/494048

Daimona claimed this task.Mar 3 2019, 6:08 PM

The public description is done above, while no hope for the actions. Mostly because, you know, ordering by a list of comma-separated values doesn't really make sense... I just checked that you would get a meaningless sorting.

Daimona moved this task from Backlog to Under review on the User-Daimona board.Mar 3 2019, 6:09 PM

@Daimona I didn't realize they were sortable (you have to click on the column heading; only the filter id has the table sort icon). Could we add the table sort icon (^ and also down, but keyboards :( ) to the other sortable columns to make this clear?

I think the arrow is there for a reason, i.e. to signal that the table is sorted by that field. When you open Special:AbuseFilter, the table is automatically sorted by filter ID in ascending order, hence the arrow there. At that time, that's the only existing order, and other fields are just random, so they don't have any arrow. At any rate, this would be a core change which needs a separate ticket.

Headbomb added a subscriber: Headbomb.EditedMar 5 2019, 5:49 AM

Adapted from From https://en.wikipedia.org/wiki/Wikipedia:Edit_filter_noticeboard#Make_filter_table_sortable

This is... really, really counter intuitive. When you load the page, only "▼ Filter" indicates that it could be sorted. Every other sortable column lacks the normal sorting icon which looks kinda a superimposed 🞁/🞃 (see https://en.wikipedia.org/wiki/Help:Sorting#Sortable_looks). Also clicking on a wikilink is completely unintuitive, given you expect to be taken to a different page.

@Headbomb that's what Danny said above, and I replied just above your message in T217520#4996560. Somewhat related to this part T163519.

Change 494048 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Make Special:AbuseFilter sortable by filter name

https://gerrit.wikimedia.org/r/494048

Daimona closed this task as Resolved.Mar 17 2019, 9:49 AM
Daimona removed a project: Patch-For-Review.
Daimona moved this task from Under review to Done on the User-Daimona board.